Summary:	Proc-ProcessTable module for perl (Proc)
Name:		perl-Proc-ProcessTable
Version:	0.39
Release:	1.intergenia
License:	GPL
Group:		CPAN/Proc
Source0:	http://search.cpan.org/CPAN/authors/id/D/DU/DURIST/Proc-ProcessTable-0.39.tar.gz
Url:		http://search.cpan.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%(id -u -n)
BuildRequires:	perl >= 5.6.0
Requires:	perl >= 5.6.0
Vendor:		Intergenia AG
Packager:	Maik Broemme <mbroemme@plusserver.de>

%description
Proc-ProcessTable module for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Proc-ProcessTable-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;
find $RPM_BUILD_ROOT%{_prefix} -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{name}-%{version}.filelist
if [ "$(cat %{name}-%{version}.filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

%files -f %{name}-%{version}.filelist
%defattr(-,root,root)

%changelog
* Sun Nov 21 2004 Maik Broemme <mbroemme@intergenia.de> 0.39-1.intergenia
- rebuilt for Fedora Core 3

* Sun Feb 29 2004 Maik Broemme <mbroemme@intergenia.de> 0.39-1.intergenia
- initial build for Fedora Core 1 and perl 5.8.1
